[gimp-help/gimp-help-2-10: 5/5] build: test existence of all installers.
- From: Jehan <jehanp src gnome org>
- To: commits-list gnome org
- Cc:
- Subject: [gimp-help/gimp-help-2-10: 5/5] build: test existence of all installers.
- Date: Sat, 19 Mar 2022 21:41:26 +0000 (UTC)
commit 79c25ec671b07fff94f83a8cf1655c59d023d5fe
Author: Jehan <jehan girinstud io>
Date: Sat Mar 19 16:46:20 2022 +0100
build: test existence of all installers.
.../windows/installer/installer-gimp-help-msys2.sh | 27 ++++++++++++++--------
1 file changed, 17 insertions(+), 10 deletions(-)
---
diff --git a/build/windows/installer/installer-gimp-help-msys2.sh
b/build/windows/installer/installer-gimp-help-msys2.sh
index 771db83d0..887a3a5dd 100644
--- a/build/windows/installer/installer-gimp-help-msys2.sh
+++ b/build/windows/installer/installer-gimp-help-msys2.sh
@@ -54,13 +54,20 @@ cd build/windows/installer
./build.bat ${MAJOR_VERSION} ${MINOR_VERSION} ${MICRO_VERSION}
# Test if the installer was created and return success/failure.
-if [ -f "_Output/gimp-help-${MAJOR_VERSION}.${MINOR_VERSION}.${MICRO_VERSION}-en-setup.exe" ]; then
- cd _Output/
- # TODO: do all langs.
- INSTALLER="gimp-${MAJOR_VERSION}.${MINOR_VERSION}.${MICRO_VERSION}-en-setup.exe"
- sha256sum $INSTALLER > ${INSTALLER}.SHA256SUMS
- sha512sum $INSTALLER > ${INSTALLER}.SHA512SUMS
- exit 0
-else
- exit 1
-fi
+MISSING_INSTALLER=0
+
+cd _Output/
+for dir in ../../../../po/*/
+do
+ code=`basename $dir`
+ INSTALLER="gimp-help-${MAJOR_VERSION}.${MINOR_VERSION}.${MICRO_VERSION}-$code-setup.exe"
+ if [ -f "$INSTALLER" ]; then
+ sha256sum $INSTALLER >> SHA256SUMS
+ sha512sum $INSTALLER >> SHA512SUMS
+ else
+ MISSING_INSTALLER=1
+ echo "Missing installer: $INSTALLER"
+ fi
+done
+
+exit $MISSING_INSTALLER
[
Date Prev][
Date Next] [
Thread Prev][
Thread Next]
[
Thread Index]
[
Date Index]
[
Author Index]